_Eina_Future_Schedule_Entry Struct Reference
Eina » Eina Promises » Eina Futures » Eina Future Callbacks

A struct that represents an scheduled event. More...

`#include <eina_promise.h>`

## Data Fields

Eina_Future_Scheduler * | scheduler
| The scheduler used to create the entry.

## Detailed Description

A struct that represents an scheduled event.

This struct may be used by Eina to cancel a scheduled future.

See also
  eina_promise_new()
  Eina_Future_Scheduler
  Eina_Future_Scheduler_Cb

## Field Documentation

## scheduler

Eina_Future_Scheduler* _Eina_Future_Schedule_Entry::scheduler

The scheduler used to create the entry.

Note
  This must not be `NULL`.